Bug 253778

Summary: security/py-cryptography has ContextualVersionConflict after upgrade to python3.8.8
Product: Ports & Packages Reporter: p5B2E9A8F
Component: Individual Port(s)Assignee: Kubilay Kocak <koobs>
Status: Closed FIXED    
Severity: Affects Only Me CC: olevole, vvd
Priority: --- Flags: bugzilla: maintainer-feedback? (koobs)
Version: Latest   
Hardware: Any   
OS: Any   

Description p5B2E9A8F 2021-02-23 00:49:33 UTC
After upgrading to python38-3.8.8 and with a new built py38-openssl-20.0.1 security/py-cryptography version is not upgraded and is still py38-cryptography-2.9.2.

Now when starting i.E. Gajim it fails like this:
> gajim &
[1] 2448

> Traceback (most recent call last):
  File "/usr/local/lib/python3.8/site-packages/pkg_resources/__init__.py", line 583, in _build_master
    ws.require(__requires__)
  File "/usr/local/lib/python3.8/site-packages/pkg_resources/__init__.py", line 900, in require
    needed = self.resolve(parse_requirements(requirements))
  File "/usr/local/lib/python3.8/site-packages/pkg_resources/__init__.py", line 791, in resolve
    raise VersionConflict(dist, req).with_context(dependent_req)
pkg_resources.ContextualVersionConflict: (cryptography 2.9.2 (/usr/local/lib/python3.8/site-packages), Requirement.parse('cryptography>=3.2'), {'pyOpenSSL'})

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "/usr/local/bin/gajim", line 6, in <module>
    from pkg_resources import load_entry_point
  File "/usr/local/lib/python3.8/site-packages/pkg_resources/__init__.py", line 3252, in <module>
    def _initialize_master_working_set():
  File "/usr/local/lib/python3.8/site-packages/pkg_resources/__init__.py", line 3235, in _call_aside
    f(*args, **kwargs)
  File "/usr/local/lib/python3.8/site-packages/pkg_resources/__init__.py", line 3264, in _initialize_master_working_set
    working_set = WorkingSet._build_master()
  File "/usr/local/lib/python3.8/site-packages/pkg_resources/__init__.py", line 585, in _build_master
    return cls._build_from_requirements(__requires__)
  File "/usr/local/lib/python3.8/site-packages/pkg_resources/__init__.py", line 598, in _build_from_requirements
    dists = ws.resolve(reqs, Environment())
  File "/usr/local/lib/python3.8/site-packages/pkg_resources/__init__.py", line 786, in resolve
    raise DistributionNotFound(req, requirers)
pkg_resources.DistributionNotFound: The 'cryptography>=3.2' distribution was not found and is required by pyOpenSSL

[1]    Exitcode 1                        gajim